% demo script for measure matching algorithm
%
% author : Joan Glaunès - joan.glaunes@free.fr

clear s

% build data (helix)
theta = 0:.3:6*pi;
s.x = [cos(theta);sin(theta);theta/5];
s.y = [cos(theta)+1;sin(theta);theta/5];

% perform minimization
s = measmatch(s);

% display
s.showgrid = 1;
s.gridsize = 5;
s.showtraj = 1;
affiche(s);
axis off
